Close a process opened by proc_open and return the exit code of that process

- « passthru

- proc_get_status »

- PHP Manual
- Program execution Functions
- Close a process opened by proc_open and return the exit code of that process

# proc_close

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

proc_close — Close a process opened by proc_open() and return the exit code of that process

### Description

proc_close(resource `$process`): int

proc_close() is similar to pclose() except that it only works on processes opened by proc_open(). proc_close() waits for the process to terminate, and returns its exit code. Open pipes to that process are closed when this function is called, in order to avoid a deadlock - the child process may not be able to exit while the pipes are open.

### Parameters

`process`

  The proc_open() resource that will be closed.

### Return Values

Returns the termination status of the process that was run. In case of an error then `-1` is returned.

> Note:

> If PHP has been compiled with --enable-sigchild, the return value of this function is undefined.